Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010063 [DCSS] Bug Report crash have not tried 2015-11-09 06:23 2017-10-12 17:15
Reporter fizbin View Status public  
Assigned To advil
Priority normal Resolution done  
Status resolved   Product Branch 0.17 ancient branch
Summary 0010063: range check error caused crash to desktop
Description I received a crash to desktop today with the new 0.17 version. I was on a level with a rusting sewer portal. I believe that I wasn't taking any actions, just scrolling around by right clicking on the mini-map, when it crashed saying

   ERROR: range check error (96 / 80)

See the attached crash report for details. This is using debian, the crawl.develz.org repositories.
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Ciadob-20151108-204649.txt [^] (43,544 bytes) 2015-11-09 06:23 [Show Content]

- Relationships

-  Notes
(0029834)
DraconicPenguin (reporter)
2015-11-25 19:39
edited on: 2015-11-25 19:44

Can reproduce on both Windows and openSUSE. The crash occurs when you right-click outside the playable area on the main map in Tiles. This means that if you're near the outer border of a particular level, and you right-click on a tile that lies outside that border, the game will crash with a range check error.

(0031877)
advil (administrator)
2017-10-12 17:15

I believe this was resolved in 8880629c5b67f052fbbdc78c1e18eb5524268f44 and I just missed this bug report. See also 0010600

- Issue History
Date Modified Username Field Change
2015-11-09 06:23 fizbin New Issue
2015-11-09 06:23 fizbin File Added: crash-Ciadob-20151108-204649.txt
2015-11-25 19:39 DraconicPenguin Note Added: 0029834
2015-11-25 19:44 DraconicPenguin Note Edited: 0029834
2017-10-12 17:15 advil Note Added: 0031877
2017-10-12 17:15 advil Status new => resolved
2017-10-12 17:15 advil Fixed in Branch => 0.21 development branch
2017-10-12 17:15 advil Resolution open => done
2017-10-12 17:15 advil Assigned To => advil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker